curl -X PATCH "https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "InGaN LED Development (2024)"
}'
import requests
response = requests.patch(
"https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851",
headers={
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"name": "InGaN LED Development (2024)"
}
)
project_id = response.json()
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Projects
Update Project
Update an existing project
PATCH
/
projects
/
{project_id}
curl -X PATCH "https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "InGaN LED Development (2024)"
}'
import requests
response = requests.patch(
"https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851",
headers={
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"name": "InGaN LED Development (2024)"
}
)
project_id = response.json()
"d290f1ee-6c54-4b01-90e6-d701748f0851"
Updates an existing project. Only the fields you include in the request body are changed.
Response
Returns the UUID of the updated project.curl -X PATCH "https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851" \
-H "X-API-KEY: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "InGaN LED Development (2024)"
}'
import requests
response = requests.patch(
"https://api.atomscale.ai/projects/d290f1ee-6c54-4b01-90e6-d701748f0851",
headers={
"X-API-KEY": "YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"name": "InGaN LED Development (2024)"
}
)
project_id = response.json()
"d290f1ee-6c54-4b01-90e6-d701748f0851"